=== doc/Makefile ===
all: mortar.txt

mortar.txt: mortar.6
	nroff -man $< > $@
