=== debian/changelog ===
mortar (1.1.4) unstable; urgency=low

  * Added missing libSDL build dep.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 18 Oct 2009 23:17:28 +0300

mortar (1.1.3) unstable; urgency=low

  * Added missing zlib build dep.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 18 Oct 2009 22:35:59 +0300

mortar (1.1.2) unstable; urgency=low

  * Fixed script paths after Lintian FHS fixes and added Maemo package icon.

 -- Eero Tamminen <eerott@gmail.com>  Wed, 18 Oct 2009 00:10:58 +0300

mortar (1.1.1) unstable; urgency=low

  * Fixed Lintian issues in packaging.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 16 Aug 2009 20:30:25 +0300

mortar (1.1) unstable; urgency=low

  * First properly Debian packaged Mortar version.

 -- Eero Tamminen <eerott@gmail.com>  Sun,  3 Aug 2008 22:33:08 +0300
