=== debian/control ===
Source: mortar
Section: user/games
Priority: optional
Maintainer: Eero Tamminen <eerott@gmail.com>
Build-Depends: debhelper (>= 4), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: mortar
Architecture: any
Depends: ${shlibs:Depends}
Description: A multiplayer artillery game
 Mortar is very portable, two player artillery game.  By default it
 works on top of SDL (i.e. almost everywhere), but it can be built also
 for Linux framebuffer, DOS, Amiga, Atari ST...  It's somewhat similar
 to old DOS game called Scroched Earth, but simpler.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
 C/xhBQAAAARzQklUCAgICHwIZIgAAAGJSURBVHic7JMxruIwFEUP0SREQkEC
 CaiyAAQU1AhKOlgES6CgoGIbLISGng2QmoqWBAWSOCEmnmqiz4cZ8v+UM1dy
 Ydm+x9fvGf7rn9FkMlGbzUYNBgP1ar30N+bD4VBpmkaaptxuN6SU2LZNkiRs
 t9sH72+BptOpqlQqSCkJw5AgCBBCkKYpWZZRq9U4n8/s9/vc/8dXAOPxWLXb
 bUzTJIoiPM8jDEOUUvkA8DyParX6cLYwaDabqW63i67r+L6PEAIpJWmaIqUk
 y7KH/ZfLhV6vpxzHKRUGLRYL1e/3MQwDz/M4nU5EUYQQgiRJctDHVAC/IIVA
 y+VSjUYjTNPEdV2CIMD3fa7XK1EU5U3wOdFnvQVZlkWj0cjrsdvtOB6P1Ov1
 hwYAfpumEMhxHFqtFrZts16vybKMUqmE67rEcYymaU9P9kraO9DhcKDT6bBa
 rZ7qUC6Xud/vry739G3egoQQzOfzHNBsNhFC5HPDMN6mKQSyLAulVJ7GdV0A
 4jjOAbqu/zENwE8AAAD//0HKkdAAAAC4SURBVJWVOwpEIQxFI4iuwk0oCG7A
 /eMiLGztRMgUjwzR8fMmjZ/gPTEJegVxCCJCaw2UUoP/BrmCQgjIIbw+PGWI
 CFKe++oImgFcmM/f2M9VrbXfkxTlGwgiDh04p3FYeO+H8E7iM4RsBxMAz78y
 i7TWtuI7yAziQBFjxFUtaq1LwROEOpSMp16WUsAYM7QxjSfhFYRMaz2ku/f+
 vHU55+2hk+BqTV/77BMAAM45/Fdwt7fypZTEBxOLEeSJLF2KAAAAAElFTkSu
 QmCC

Package: mortar-dbg
Architecture: any
Priority: extra
Depends: mortar (=${binary:Version})
Description: Debug package for mortar
 Debug symbols for the mortar binary.
